ubuntu/+source/gjs:applied/ubuntu/disco-devel

Last commit made on 2019-01-15
Get this branch:
git clone -b applied/ubuntu/disco-devel https://git.launchpad.net/ubuntu/+source/gjs
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/ubuntu/disco-devel
Repository:
lp:ubuntu/+source/gjs

Recent commits

23ecfae... by Matthias Klose on 2019-01-15

Import patches-applied version 1.54.3-1build1 to applied/ubuntu/disco-proposed

Imported using git-ubuntu import.

Changelog parent: 60caf7f8faefc3f26e57d4d746137360ebaea3bc
Unapplied parent: 6e984bd418b085492af2668316c29cb8b33b7a91

New changelog entries:
  * No-change rebuild for readline soname change.

6e984bd... by Matthias Klose on 2019-01-15

Import patches-unapplied version 1.54.3-1build1 to ubuntu/disco-proposed

Imported using git-ubuntu import.

Changelog parent: 68ea9e2171fb6df8f5e0b525a7707b9666ba7ff4

New changelog entries:
  * No-change rebuild for readline soname change.

60caf7f... by Simon McVittie on 2018-11-15

Import patches-applied version 1.54.3-1 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 0e86d9ae7453d1aec16dc463300bd6989c92e1d8
Unapplied parent: 68ea9e2171fb6df8f5e0b525a7707b9666ba7ff4

New changelog entries:
  * Team upload
  * New upstream release
  * Force time zone to UTC when running tests.
    This hopefully fixes FTBFS in the pathological time zone used to test
    reproducible builds.

68ea9e2... by Simon McVittie on 2018-11-15

Import patches-unapplied version 1.54.3-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 0280a84f53673f6b0c8fb55ad0eccd40cc6fa76a

New changelog entries:
  * Team upload
  * New upstream release
  * Force time zone to UTC when running tests.
    This hopefully fixes FTBFS in the pathological time zone used to test
    reproducible builds.

0e86d9a... by Simon McVittie on 2018-11-02

Import patches-applied version 1.54.2-1 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 63f8befca79abed722af0e730392792752e9fbd4
Unapplied parent: 0280a84f53673f6b0c8fb55ad0eccd40cc6fa76a

New changelog entries:
  * Team upload
  * Upload to unstable (starts transition: #906016)
  * d/watch: Only watch for versions from a stable branch
  * New upstream release
  * Bump Standards-Version to 4.2.1 (no changes required)
  * Use dpkg's default.mk to get upstream version number for dependencies.
    This avoids relying on the differently-named variables in
    gnome-get-source.mk, and also does the right thing if gjs ever gains
    an epoch.
  * d/rules: Remove gnome-get-source.mk (please use uscan instead)

0280a84... by Simon McVittie on 2018-11-02

Import patches-unapplied version 1.54.2-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 221b4c17417216033874ff75432b743e249b490d

New changelog entries:
  * Team upload
  * Upload to unstable (starts transition: #906016)
  * d/watch: Only watch for versions from a stable branch
  * New upstream release
  * Bump Standards-Version to 4.2.1 (no changes required)
  * Use dpkg's default.mk to get upstream version number for dependencies.
    This avoids relying on the differently-named variables in
    gnome-get-source.mk, and also does the right thing if gjs ever gains
    an epoch.
  * d/rules: Remove gnome-get-source.mk (please use uscan instead)

63f8bef... by Simon McVittie on 2018-10-05

Import patches-applied version 1.54.1-1 to applied/debian/experimental

Imported using git-ubuntu import.

Changelog parent: f9dd093e62c8af34ab539a8d15fbc145841770aa
Unapplied parent: 221b4c17417216033874ff75432b743e249b490d

New changelog entries:
  * Team upload
  * New upstream release

221b4c1... by Simon McVittie on 2018-10-05

Import patches-unapplied version 1.54.1-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: 96179de2ce41c68d45bc8f3e75b1b9fbbb25055d

New changelog entries:
  * Team upload
  * New upstream release

f9dd093... by Simon McVittie on 2018-09-20

Import patches-applied version 1.54.0-1 to applied/debian/experimental

Imported using git-ubuntu import.

Changelog parent: 22bb37c46ba0700faab0ba765a9bbfddf99176be
Unapplied parent: 96179de2ce41c68d45bc8f3e75b1b9fbbb25055d

New changelog entries:
  * Team upload
  [ Simon McVittie ]
  * New upstream development release (Closes: #904994)
  * Depend and build-depend on mozjs60 instead of mozjs52
  * d/copyright: Update
  * Explicitly disable -Werror
  * Drop build-dependency on gnome-common which does not appear to be
    needed since 1.47.0
  * d/gbp.conf: Don't number patches
  * Add Breaks on gnome-documents, gnome-sound-recorder and polari
    versions that use conditional catch clauses, which are a
    Mozilla-specific extension that is no longer supported in mozjs60
  * Add Breaks on gnome-shell (<< 3.29.90) for ByteArray changes
  * dh_makeshlibs: Only generate a dependency on libgjs0g, not on the
    virtual package libgjs0-libmozjs-60-0. Since the gjs-internals
    module was removed in version 1.47.0, gjs does not expose mozjs
    API/ABI in its own ABI, so it is unnecessary for gjs users like
    gnome-shell, gnome-sushi and polari to depend on their gjs having
    been compiled against a specific version of mozjs.
  * Provide libgjs0-libmozjs-52-0 to indicate that our ABI is
    compatible with the gjs that used libmozjs-52-0, until all
    dependent packages have been rebuilt
  [ Tim Lunn ]
  * New upstream release

96179de... by Simon McVittie on 2018-09-20

Import patches-unapplied version 1.54.0-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: 8401606e1bb9f6d2a85c65266ab051a95bd31e47

New changelog entries:
  * Team upload
  [ Simon McVittie ]
  * New upstream development release (Closes: #904994)
  * Depend and build-depend on mozjs60 instead of mozjs52
  * d/copyright: Update
  * Explicitly disable -Werror
  * Drop build-dependency on gnome-common which does not appear to be
    needed since 1.47.0
  * d/gbp.conf: Don't number patches
  * Add Breaks on gnome-documents, gnome-sound-recorder and polari
    versions that use conditional catch clauses, which are a
    Mozilla-specific extension that is no longer supported in mozjs60
  * Add Breaks on gnome-shell (<< 3.29.90) for ByteArray changes
  * dh_makeshlibs: Only generate a dependency on libgjs0g, not on the
    virtual package libgjs0-libmozjs-60-0. Since the gjs-internals
    module was removed in version 1.47.0, gjs does not expose mozjs
    API/ABI in its own ABI, so it is unnecessary for gjs users like
    gnome-shell, gnome-sushi and polari to depend on their gjs having
    been compiled against a specific version of mozjs.
  * Provide libgjs0-libmozjs-52-0 to indicate that our ABI is
    compatible with the gjs that used libmozjs-52-0, until all
    dependent packages have been rebuilt
  [ Tim Lunn ]
  * New upstream release